> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List queued server group starts

> List queued server starts aggregated by server group



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json get /v0/server-groups/start-queue
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/server-groups/start-queue:
    get:
      tags:
        - server-groups
      summary: List queued server group starts
      description: List queued server starts aggregated by server group
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ListServerGroupStartQueueResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.ListServerGroupStartQueueResponse:
      description: Response for listing queued server group starts
      properties:
        count:
          example: 2
          type: integer
        failed_starts:
          example: 1
          type: integer
        items:
          items:
            $ref: '#/components/schemas/models.ServerGroupStartQueueEntry'
          type: array
          uniqueItems: false
        queued_starts:
          example: 2
          type: integer
        total_starts:
          example: 3
          type: integer
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.ServerGroupStartQueueEntry:
      description: Detailed queued start state for one server group
      properties:
        failed_starts:
          example: 1
          type: integer
        queued_starts:
          example: 2
          type: integer
        server_group_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        server_group_name:
          example: lobby
          type: string
        starts:
          items:
            $ref: '#/components/schemas/models.ManualServerStartQueueItem'
          type: array
          uniqueItems: false
        total_starts:
          example: 3
          type: integer
      type: object
    models.ManualServerStartQueueItem:
      description: Detailed information for one persisted manual server start entry
      properties:
        created_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        failure_reason:
          example: 'no capacity: group is at maximum servers'
          type: string
        id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        status:
          enum:
            - pending
            - failed
          example: pending
          type: string
      type: object

````